<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/grid-pro](./grid-pro.md)

## grid-pro package

## Classes

|  Class | Description |
|  --- | --- |
|  [ActionRenderer](./grid-pro.actionrenderer.md) | The AG Action Renderer element. |
|  [ActionsMenuRenderer](./grid-pro.actionsmenurenderer.md) | The Actions Menu Renderer element. |
|  [AgTextFieldRenderer](./grid-pro.agtextfieldrenderer.md) | The AG Text Field Renderer element. |
|  [AgTextRenderer](./grid-pro.agtextrenderer.md) |  |
|  [BooleanRenderer](./grid-pro.booleanrenderer.md) | The AG Boolean Renderer element. |
|  [GridPro](./grid-pro.gridpro.md) | The Grid Pro element. |
|  [GridProCell](./grid-pro.gridprocell.md) | The Grid Pro Cell element. |
|  [GridProClientSideDatasource](./grid-pro.gridproclientsidedatasource.md) | The Genesis Datasource element, for client-side \| CSRM-compatible data fetching and used exclusively by the GridPro element. |
|  [GridProColumn](./grid-pro.gridprocolumn.md) | The Grid Pro Column element. |
|  [GridProGenesisDatasource](./grid-pro.gridprogenesisdatasource.md) | The Genesis Datasource element, for CSRM-compatible data fetching and used exclusively by the GridPro element. |
|  [SelectRenderer](./grid-pro.selectrenderer.md) | The AG Select Renderer element. |

## Enumerations

|  Enumeration | Description |
|  --- | --- |
|  [AgGridCSSVars](./grid-pro.aggridcssvars.md) | All official AG CSS variables |
|  [AgGridTheme](./grid-pro.aggridtheme.md) | The available Grid Pro themes. |
|  [GridProRendererTypes](./grid-pro.gridprorenderertypes.md) | The available Grid Pro Renderer Types |

## Functions

|  Function | Description |
|  --- | --- |
|  [dateTimeValueFormatter({ value })](./grid-pro.datetimevalueformatter.md) | Returns a formatted date time value from the Grid Pro cell value. |
|  [dateValueFormatter({ value })](./grid-pro.datevalueformatter.md) | Returns a formatted date value from the Grid Pro cell value. |
|  [gridProColumns(itemsBinding, includeRenderers)](./grid-pro.gridprocolumns.md) | A directive that renders a set of grid-pro-column elements from a given input binding |
|  [mergeAndDedupColDefWithColumnState(colDefs, columnStates)](./grid-pro.mergeanddedupcoldefwithcolumnstate.md) | Merges two arrays, one of <code>ColDef</code> and one of <code>ColumnState</code>, and deduplicates them. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [actionHeightMultiplier](./grid-pro.actionheightmultiplier.md) | The base height multiplier for the action renderer. |
|  [agActionRendererStyles](./grid-pro.agactionrendererstyles.md) | The AG Action Renderer Styles. |
|  [agBooleanRendererStyles](./grid-pro.agbooleanrendererstyles.md) | The AG Boolean Renderer Styles. |
|  [agExternalStockStyles](./grid-pro.agexternalstockstyles.md) | All External AG Grid Stock in one CSS. |
|  [agGridAlpineFontFace](./grid-pro.aggridalpinefontface.md) | The AG Alpine font face used on ag-theme-alpine/ag-theme-alpine-dark Grid Pro themes. |
|  [agGridBalhamFontFace](./grid-pro.aggridbalhamfontface.md) | The AG Balham font face used on ag-theme-balham/ag-theme-balham-dark Grid Pro themes. |
|  [agGridCSS](./grid-pro.aggridcss.md) | AG Grid core CSS. |
|  [agGridMaterialFontFace](./grid-pro.aggridmaterialfontface.md) | The AG Material font face used on ag-theme-material Grid Pro theme. |
|  [agHeadCSS](./grid-pro.agheadcss.md) | Custom Drag n Drop CSS for Grid Pro. |
|  [agSelectRendererStyles](./grid-pro.agselectrendererstyles.md) | The AG Select Renderer Styles. |
|  [agThemeAlpineNofontsCSS](./grid-pro.agthemealpinenofontscss.md) | AG Alpine Theme (no fonts) CSS. |
|  [agThemeBalhamNofontsCSS](./grid-pro.agthemebalhamnofontscss.md) | AG Balham Theme (no fonts) CSS. |
|  [agThemeFontFaceMap](./grid-pro.agthemefontfacemap.md) | Font Face map with all the font faces for each theme. |
|  [agThemeFontsId](./grid-pro.agthemefontsid.md) | Generates the id name for custom Grid Pro fonts. |
|  [agThemeMaterialNofontsCSS](./grid-pro.agthemematerialnofontscss.md) | AG Material Theme (no fonts) CSS. |
|  [agThemeTokenMapClassname](./grid-pro.agthemetokenmapclassname.md) | Generates the class name for a given Grid Pro theme name. |
|  [agThemeTokenMapCSS](./grid-pro.agthemetokenmapcss.md) | Generates the CSS for a given GridPro theme name and token map |
|  [CellTemplate](./grid-pro.celltemplate.md) | The Grid Pro Cell Template. |
|  [ColumnTemplate](./grid-pro.columntemplate.md) | The Grid Pro Column Template. |
|  [convertToKebabCase](./grid-pro.converttokebabcase.md) | Convert string values from 'camelCase' to 'kebab-case' |
|  [defaultAgGridFontFace](./grid-pro.defaultaggridfontface.md) | The default font face for Grid Pro (agGridAlpine). |
|  [defaultGridProConfig](./grid-pro.defaultgridproconfig.md) | Grid Pro default configuration. |
|  [foundationAgBooleanRenderer](./grid-pro.foundationagbooleanrenderer.md) | A function that returns a Foundation Boolean Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgSelectRenderer](./grid-pro.foundationagselectrenderer.md) | A function that returns a Foundation Select Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgTextFieldRenderer](./grid-pro.foundationagtextfieldrenderer.md) | A function that returns a Foundation Text Field Renderer registration for configuring the component with a DesignSystem. |
|  [foundationAgTextRenderer](./grid-pro.foundationagtextrenderer.md) | A function that returns a Foundation Text Renderer registration for configuring the component with a DesignSystem. |
|  [foundationGridComponents](./grid-pro.foundationgridcomponents.md) | The Grid Pro Components. |
|  [foundationGridPro](./grid-pro.foundationgridpro.md) | A function that returns a Foundation Grid Pro registration for configuring the component with a DesignSystem. |
|  [foundationGridProActionRenderer](./grid-pro.foundationgridproactionrenderer.md) | A function that returns a Foundation Action Renderer for configuring the component with a DesignSystem. |
|  [foundationGridProActionsMenuRenderer](./grid-pro.foundationgridproactionsmenurenderer.md) | A function that returns a Foundation Actions Menu for configuring the component with a DesignSystem. |
|  [foundationGridProShadowOptions](./grid-pro.foundationgridproshadowoptions.md) | GridPro shadow root options. |
|  [foundationGridProStyles](./grid-pro.foundationgridprostyles.md) | The Grid Pro styles. |
|  [getActionsMenuDef](./grid-pro.getactionsmenudef.md) | Helper function to get ColDef [https://www.ag-grid.com/javascript-data-grid/column-properties/](https://www.ag-grid.com/javascript-data-grid/column-properties/) for Actions Menu Renderer. Will take the parameter values for a base ColDef and merge them with the overrideDef (if specified). |
|  [getAgBooleanRendererTemplate](./grid-pro.getagbooleanrenderertemplate.md) | Get a Design System prefixed Checkbox template. |
|  [getSelectRendererTemplate](./grid-pro.getselectrenderertemplate.md) | Get a Design System prefixed Select template. |
|  [getTextFieldRendererTemplate](./grid-pro.gettextfieldrenderertemplate.md) | Get a Design System prefixed Text Field template. |
|  [getTextRendererTemplate](./grid-pro.gettextrenderertemplate.md) |  |
|  [gridProTemplate](./grid-pro.gridprotemplate.md) | The Grid Pro Template. |
|  [logger](./grid-pro.logger.md) | Logger for the grid-pro package |
|  [textFieldRendererStyles](./grid-pro.textfieldrendererstyles.md) | The AG Text Field Renderer Styles. |
|  [textRendererStyles](./grid-pro.textrendererstyles.md) |  |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [ActionRendererParams](./grid-pro.actionrendererparams.md) | Parameters for the [GridPro](./grid-pro.gridpro.md) action renderer. |
|  [AgThemeFontFaceMap](./grid-pro.agthemefontfacemap.md) | Type for mapping of a [AgGridTheme](./grid-pro.aggridtheme.md) to a font face. |
|  [GridComponents](./grid-pro.gridcomponents.md) | Grid Pro Components type, used to define the custom components that will be registered in the grid |

